Summary:        Extra modules for ZNC IRC bouncer
Name:           znc-extra
Version:        0.074
Release:        1%{?dist}
License:        GPLv2 with exceptions
Group:          System Environment/Daemons
URL:            http://znc.sf.net/
Source0:        http://downloads.sourceforge.net/sourceforge/znc/znc-extra-%{version}.tar.gz
Requires:       znc = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  znc-devel = %{version}
BuildRequires:  openssl-devel >= 0.9.8

# The following line is necessary because this module
# is needed for Fedora, but not for EPEL.
%{?fedora:BuildRequires: perl-ExtUtils-Embed}

%description
Extra modules for ZNC IRC bouncer

%prep
%setup -q

%build
%configure
%__make %{?_smp_mflags}

%install
%__rm -Rf "%{buildroot}"
%__make install DESTDIR="%{buildroot}"
#mkdir "%{buildroot}/%{_datadir}/znc"
#%__mv "%{buildroot}/%{_datadir}/webadmin" "%{buildroot}/%{_datadir}/znc/"

%clean
%__rm -Rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE LICENSE.OpenSSL
%{_libdir}/znc/*
%{_datadir}/znc/webadmin/skins/*

%changelog
* Tue Aug 4 2009 Nick Bebout <nb@fedoraproject.org> - 0.074-1
- Update to 0.074 of znc-extra
- Restore normal Requires and BuildRequires

* Sun Aug 2 2009 Nick Bebout <nb@fedoraproject.org> - 0.072-3
- Re-add openssl-devel BuildRequires

* Sun Aug 2 2009 Nick Bebout <nb@fedoraproject.org> - 0.072-2
- Do not attempt to own directories owned by znc package
- Change version to match znc-extra upstream
- Explicitly require znc = 0.074

* Wed Jul 22 2009 Nick Bebout <nb@fedoraproject.org> - 0.072-1
- Initial Fedora package based on 0.072 of upstream
